function [f,X,N,T]=readfstats(dirName, startFreq, steps)
% Read Fstat files
% 
% Inputs:
% dirName - Directory of Fstat files
% startFreq - Start frequency of the Fstat
% steps - Total number of steps 
% Fstat file name should follow the format: Fstat-<start freq>-<step index>.dat
% 
% Outputs: 
% f - Frequency bins
% X - F-stat values
% N - Number of bins
% T - Total number of steps

d = dir(dirName);
X = [];

for n=1:steps
    fileName=['Fstat-' num2str(startFreq) '-' num2str(n-1) '.dat']

	try
		fstatData=load([dirName fileName]);
		X(:,n) = fstatData(:,7);
		f = fstatData(:,1);
	catch
		disp(n)
	end
end

[N,T] = size(X)
